VOS_RENAME(1)

NAME
vos_rename - Renames a volume

SYNOPSIS
vos rename B<-oldname> <I<old volume name>>
    B<-newname> <I<new volume name>>
    [B<-cell> <I<cell name>>]
    [-noauth] [-localauth]
    [-verbose] [-encrypt] [-noresolve] [-help]

vos ren B<-o> <I<old volume name>>
    B<-ne> <I<new volume name>>
    [-c <cell name>] [-noa] [-l] [-v] [-e] [-nor] [-h]

DESCRIPTION
The vos rename command changes the name of the read/write volume specified with the -oldname argument to the name specified with the -newname argument. The names of the read/write's read-only copies and backup copy, if any, change automatically to match.

After issuing this command, remember to correct any mount points that refer to the old volume name, by removing the old mount point with the fs rmmount command and creating a new one with the fs mkmount command.

OPTIONS

-oldname <old volume name>
    Is the current name of the read/write volume.

-newname <new volume name>
    Is the desired new name for the volume.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-encrypt
    Encrypts the command so that the operation's results are not transmitted across the network in clear text. This option is available in OpenAFS versions 1.4.11 or later and 1.5.60 or later.

-noresolve
    Shows all servers as IP addresses instead of the DNS name. This is very useful when the server address is registered as 127.0.0.1 or when dealing with multi-homed servers. This option is available in OpenAFS versions 1.4.8 or later and 1.5.35 or later.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The vos rename command produces no output if the command succeeds.

If the volume named by the -oldname argument does not exist, the following message appears:

   vos: Could not find entry for volume <old volume name>.

EXAMPLES
The following example changes the mistaken volume name "sun4x_56.afsws" to the correct alternative "sun4x_56.usr.afsws".

   % vos rename -oldname sun4x_56.afsws -newname sun4x_56.usr.afsws

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
vos(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.